Returns a single webhook by its unique identifier.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'{
"environmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"webhookId": "95b11417-f18f-457f-8804-68e361f9164f",
"url": "https://website-sample.com",
"events": [
"<string>"
],
"isEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secret": "<string>",
"version": "<string>",
"enabledAt": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the webhook
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Include secret in response
Webhook for this project environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
^(https:\/\/)[a-z0-9]+([-.]+[a-z0-9]+)*\.[a-z]{2,10}(\/.*)?$|^arn:aws:sns:[a-z0-9-]*:[0-9]{12}:[a-zA-Z0-9-_]+$"https://website-sample.com"
List of subscribed event type names (e.g. "admin.user.created")
Whether the webhook is actively delivering events
ISO 8601 timestamp of when the webhook was created
ISO 8601 timestamp of when the webhook was last updated
HMAC signing secret used to verify webhook payload authenticity
Webhook payload format version
ISO 8601 timestamp of when the webhook was last enabled
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>'{
"environmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"webhookId": "95b11417-f18f-457f-8804-68e361f9164f",
"url": "https://website-sample.com",
"events": [
"<string>"
],
"isEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secret": "<string>",
"version": "<string>",
"enabledAt": "2023-11-07T05:31:56Z"
}